#pragma once

#include "accessor.h"

/* A file accessor, providing flexpages corresponding to file regions. */

class TestFileAccessor : public Accessor
{
public:
    explicit TestFileAccessor(fileid_t fileid, offset_t size=0);

    /* Data transfer methods. */

    virtual void fill(Flexpage *flexpage);

    virtual void flush(Flexpage *flexpage);
};

// vim: tabstop=4 expandtab shiftwidth=4
